<?php
require '../db.php';

// Verificar admin
if(!isset($_SESSION['user']) || $_SESSION['user']['rol'] != 'admin'){
    header("Location: ../index.php");
    exit;
}

$id = $_POST['id'] ?? null;

if(!$id){
    die("No llegó el ID");
}

// Restaurar (volver a activo)
$stmt = $conn->prepare("UPDATE cartas SET estado=1 WHERE id=?");
$stmt->bind_param("i", $id);
$stmt->execute();

header("Location: panel.php");
exit;